function [bobj,bname]=mmgetbranch(branch,repokey,dbkey)
% MMGETBRANCH Get branch variable in Model Manager
%
%   BRANCH = MMMGETBRANCH(BRNAME, REPNAME, DBNAME) returns the branch
%   variable of the branch with the name BRNAME in the database DBNAME,
%   repository REPNAME.
%
% See also: mmmodelinfo, mmsave

% % Example
% [d,dbkey]=mmgetlistofdatabases()
% db = mmgetdatabase(dbkey(1))
% [r,rkey,robj] = mmgetlistofrepositories(db)
% repo = mmgetrepository(db, rkey(1));
% [b,bkey,bobj] = mmgetlistofbranches(repo)
% branch = mmgetbranch(bobj(1))
% dat = mmsearch(branch, 'busbar')
% location = mmgetlocation(branch, dat(4));
% model = mphopen(location)
%
% % Example:
% branch = mmgetbranch('Main', 'Repository 1', 'MyDatabase')
%
% Example: Get default branch in the default repository
% % Only works if there is only one database
% branch = mmgetbranch('Main')

%   Copyright 2021-2023 COMSOL
