function info=mphbatchinfo(model,varargin)
% MPHBATCHINFO Get information about the batch solution structures
%
%   INFO = MPHBATCHINFO(MODEL,...) returns information about the batch 
%   solution structures.
%
%   Valid property/value pairs include:
%   Property       Value/{Default}      Description
%   -----------------------------------------------------------------------
%   soltag         String {''}          Solution node tag
%   study          String {''}          Study node tag
%   matchname      String {''} |        Parameter sweep variable name 
%                  Cell array   
%   matchval       Cell array           Parameter sweep variable name/value pair
%   matchvalabstol Double vector |      Parameter sweep variable value tolerance
%                  Scalar

%   Copyright 2023 COMSOL
