function ds=mphdatasetinfo(model, datasettag)
% MPHDATASETINFO Get information about datasets
%
%   DS = MPHDATASETINFO(MODEL, DSETTAG) returns information about the 
%   dataset with the tag DSETTAG 
%
%   DS is a structure containing the following fields:
%   Field           Description
%   -----------------------------------------------------------------------
%   tag             Tag of the dataset (DATASETTAG)
%   label           Label
%   type            Type of the dataset
%   sol             Solver sequence where the data comes from
%   parentdatasets  Parent datasets*
%   parenttypes     Types of the parent datasets
%   selection       Selection (if the entire geometry is not selected)
%
%   * If a join dataset is encountered only the two parent datasets of the
%   join dataset are included.
%
%   See also: mphdataset, mphnavigator

%   Copyright 2020-2023 COMSOL
