function data=mphgetphysicsparam(p, sel, ftag)
% MPHGETPHYSICSPARAM Gets parameters from physics features
%
%   MPHGETPHYSICSPARAM(NODE) returns parameters defined for a physics
%   feature as a cell array.
%
%   MPHGETPHYSICSPARAM(NODE, PHYSICSTAG, FEATURETAG) returns parameters defined for the physics
%   feature FEATURETAG
%
%   Example
%     data = mphgetphysicsparam(model.physics('ec').feature('pot1'))
%     data = mphgetphysicsparam(model.physics('ec').feature('gnd1'))
%     % or
%     data = mphgetphysicsparam(model, 'ec', 'pot1')
%     data = mphgetphysicsparam(model, 'ec', 'gnd1')
%
%   See also: mphnavigator, mphgetphysics

% Copyright 2011-2023 COMSOL
