function data = mphreduction(model,romtag,varargin)
% MPHREDUCTION Return reduced order state-space matrices for a model
%
%   DATA = MPHREDUCTION(MODEL, ROMTAG, ...) extracts the reduced order 
%   state-space matrices from a existing reduced order model. The
%   reduced order model can either be created in the COMSOL GUI or via the
%   API.
%
%   Valid property/value pairs include:
%   Property           Value/{Default}     Description
%   -----------------------------------------------------------------------
%   out                char {'all'}        Names of output matrices
%   return             {'struct'} | 'ss'   Return type 
%                           
%   out is a cell array with the names of matrices to extract. These include
%   Mc, MA, MB, D, C, ud, x0, A, B as well as
%   Kr, Cstate, Dc, DPartSol, Dstate, Dr, Dra, EPartSol, Er, L, Br, Cr, Y0, 
%   F, Brdot, Brdotdot, Udot0, B0r, B0rdot, Kud.
%
%   Return type 'ss' requires that the Control System Toolbox is installed.

%   Copyright 2010-2023 COMSOL
