function [port,pid,proc]=mphstartcomsolmphserver(varargin)
% MPHSTARTCOMSOLMPHSERVER Start Comsol Multiphysics server
%
% This function will not return until the Comsol Multiphysics server has
% been started and is ready for a connection on port.
%
% Example (Windows, Linux, Mac):
% [port,pid]=startcomsolmphserver;
% mphstart(port);
%
% Example (Windows only):
% [port,pid,proc]=startcomsolmphserver;
% mphstart(port);
% % Use proc.Refresh to update values
% % Use proc.HasExited to check if the server is shut down
% % Use proc.WorkingSet64 and proc.PeakWorkingSet64 to check the memory use
% % Use proc.TotalProcessorTime to check the CPU time
%
% The PID can be used to identify the Comsol Multiphysics server process.
%
% You probably shouldn't use proc.CloseMainWindow or proc.Kill to close the 
% server since it may leave resources behind. The best way to close the
% server is to connect to it and then use ModelUtil.disconnect.
%
%   Valid property/value pairs include:
%   Property      Value/{Default}     Description
%   -----------------------------------------------------------------------
%   hide          {'off'} | 'on'      Hide Comsol Multiphysics server 
%                                     window (Windows only)
%   comsolpath    String              COMSOL installation path
%   silent        {'off'} | 'on'      Use the -silent option
%   np            Integer             Number of processors
%   configuration String              Configuration path
%   data          String              Data path
%
% On windows the HIDE property can be used to control if the Comsol Multiphysics
% server windows should be hidden by setting it to 'on'. On Linux and Mac 
% the HIDE property is ignored.
% If this function can't find the Comsol installation path the path must be 
% specified using the argument COMSOLPATH.
%
% See also: mphstart

%   Copyright 2010-2023 COMSOL
